| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::BoolGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::BoolGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::BoolGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef bool | ResultT
typedef bool | ResultT

## Public Member Functions
| BoolGrammar ()
| BoolGrammar ()

## Public Attributes
qi::rule< Iterator, bool(), Skipper > | boolean
qi::rule< Iterator, bool(), Skipper > | boolean_literal

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::BoolGrammar< Iterator, Skipper >

Definition at line 90 of file Grammar.h.

## Member Typedef Documentation

## ◆ ResultT [1/2]

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::ResultT

Definition at line 92 of file Grammar.h.

## ◆ ResultT [2/2]

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::ResultT

Definition at line 117 of file Grammars.h.

## Constructor & Destructor Documentation

## ◆ BoolGrammar() [1/2]

template<typename Iterator, typename Skipper>

Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::BoolGrammar | ( |  | ) |
| inline

Definition at line 94 of file Grammar.h.

94 : BoolGrammar::base_type( boolean ) {
95 boolean = enc::no_case[qi::lit( "true" )[qi::_val = true] | qi::lit( "false" )[qi::_val = false]];
96 }

## ◆ BoolGrammar() [2/2]

template<typename Iterator, typename Skipper>

Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::BoolGrammar | ( |  | ) |
| inline

Definition at line 118 of file Grammars.h.

118 : BoolGrammar::base_type( boolean_literal ) {
119 boolean_literal = ( qi::lit( "true" ) | "True" | "TRUE" | "1" )[qi::_val = true] |
120 ( qi::lit( "false" ) | "False" | "FALSE" | "0" )[qi::_val = false];
121 }
Gaudi::Parsers::BoolGrammar::boolean_literal
qi::rule< Iterator, bool(), Skipper > boolean_literal
Definition: Grammars.h:122

## Member Data Documentation

## ◆ boolean

template<typename Iterator, typename Skipper>

qi::rule<Iterator, bool(), Skipper> Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::boolean

Definition at line 98 of file Grammar.h.

## ◆ boolean_literal

template<typename Iterator, typename Skipper>

qi::rule<Iterator, bool(), Skipper> Gaudi::Parsers::BoolGrammar< Iterator, Skipper >::boolean_literal

Definition at line 122 of file Grammars.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/Gaudi/Parsers/Grammars.h